package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.relatorios;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuFiscalRelatorioVoucherCancelados extends DefaultItemMenuSistema {

	public ItemMenuFiscalRelatorioVoucherCancelados() {
		super("indexController.mniRelatorioVoucherCancelados.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.IMPRESSAOFISCAL.MENU.IMPORTACIONFISCAL";
	}

	@Override
	public void ejecutar() {

		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.RELATORIO_VOUCHER_CANCELADOS, (HashMap<String, Boolean>) getArgs());
		map.put("ExibirCompetencia", true);

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaImportacionFiscal.zul",
				Labels.getLabel("busquedaImportacionFiscalRelatorioVoucherCanceladosController.window.title"), map, desktop);

	}

}
